from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File

Battenberg_Cn_To_Vcf_Pl_V0_1_0 = CommandToolBuilder(tool="battenberg_CN_to_VCF.pl", base_command=["battenberg_CN_to_VCF.pl"], inputs=[ToolInput(tag="in_sample_bam_mut", input_type=Boolean(optional=True), prefix="-sample-bam-mut", doc=InputDocumentation(doc="Mutant sample bam file.")), ToolInput(tag="in_sample_bam_norm", input_type=Boolean(optional=True), prefix="-sample-bam-norm", doc=InputDocumentation(doc="Normal sample bam file.")), ToolInput(tag="in_reference", input_type=Boolean(optional=True), prefix="-reference", doc=InputDocumentation(doc="Reference file")), ToolInput(tag="in_sample_sequencing_protocol_mut", input_type=Boolean(optional=True), prefix="-sample-sequencing-protocol-mut", doc=InputDocumentation(doc="Sample Sequencing Protocol.")), ToolInput(tag="in_sample_sequencing_protocol_norm", input_type=Boolean(optional=True), prefix="-sample-sequencing-protocol-norm", doc=InputDocumentation(doc="Sample Sequencing Protocol.")), ToolInput(tag="in_in_file", input_type=Boolean(optional=True), prefix="-in-file", doc=InputDocumentation(doc="Input file. [STDIN]")), ToolInput(tag="in_out_file", input_type=File(optional=True), prefix="-out-file", doc=InputDocumentation(doc="Output file [STDOUT].")), ToolInput(tag="in_reference_species", input_type=Boolean(optional=True), prefix="-reference-species", doc=InputDocumentation(doc="Reference species [BAM HEADER].")), ToolInput(tag="in_reference_assembly", input_type=Boolean(optional=True), prefix="-reference-assembly", doc=InputDocumentation(doc="Reference assembly [BAM HEADER].")), ToolInput(tag="in_sample_study_mut", input_type=Boolean(optional=True), prefix="-sample-study-mut", doc=InputDocumentation(doc="Mut sample study.")), ToolInput(tag="in_sample_accession_mut", input_type=Boolean(optional=True), prefix="-sample-accession-mut", doc=InputDocumentation(doc="Mut sample accession [BAM HEADER].")), ToolInput(tag="in_sample_accession_source_mut", input_type=Boolean(optional=True), prefix="-sample-accession-source-mut", doc=InputDocumentation(doc="Mut sample accession source.")), ToolInput(tag="in_seq_platform_mut", input_type=Boolean(optional=True), prefix="-seq-platform-mut", doc=InputDocumentation(doc="Mut sequencing platform. [BAM HEADER]")), ToolInput(tag="in_sample_study_norm", input_type=Boolean(optional=True), prefix="-sample-study-norm", doc=InputDocumentation(doc="Normal sample study.")), ToolInput(tag="in_sample_accession_norm", input_type=Boolean(optional=True), prefix="-sample-accession-norm", doc=InputDocumentation(doc="Normal sample accession [BAM HEADER].")), ToolInput(tag="in_sample_accession_source_norm", input_type=Boolean(optional=True), prefix="-sample-accession-source-norm", doc=InputDocumentation(doc="Normal sample accession source.")), ToolInput(tag="in_seq_platform_norm", input_type=Boolean(optional=True), prefix="-seq-platform-norm", doc=InputDocumentation(doc="Normal sequencing platform [BAM HEADER].")), ToolInput(tag="in_man", input_type=Boolean(optional=True), prefix="-man", doc=InputDocumentation(doc="Full documentation.")), ToolInput(tag="in_version", input_type=Boolean(optional=True), prefix="-version", doc=InputDocumentation(doc="Version information."))], outputs=[ToolOutput(tag="out_out_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out_file", type_hint=File()), doc=OutputDocumentation(doc="Output file [STDOUT]."))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Battenberg_Cn_To_Vcf_Pl_V0_1_0().translate("wdl", allow_empty_container=True)

